Snowreports and Snowfall API

Returns snow conditions, trail statuses, lift statuses, and other key operational details for ski resorts.

Note snow reports are sourced directly from the ski resorts and are only recorded during the ski season. Snow reports are generally updated daily, though always be to sure to display or filter based on updatedDt as in some cases the resort snow report can be outdated.

Key details the resort snowreport api resource returns:

  • Status - The resort operating statues (e.g. open, closed) and planned open/closing dates.

  • Depths - Snow depths at base, mid, and summit. Note resorts do not always report all three values, most commonly the base and summit are only reported.

  • Recent - reported snowfall for the last 7 days.

  • Lifts - Number of open lifts.

  • Terrain - Open runs and terrain resort status.

  • Surface Type - The primary surface of the snow (e.g. Packed Powder)

get
Authorizations
x-api-keystringRequired
Query parameters
regionIdstringOptional
resortIdsstringOptional
Responses
chevron-right
200

200 response

application/json

Represents the snow report for a partner resort.

surfaceTypenumber · enumOptional
  •     Primary snow surface type at the top:
    
  •     `1` - Powder
    
  •     `2` - Packed Powder
    
  •     `3` - Machine Made
    
  •     `4` - Machine Groomed
    
  •     `5` - Hard Packed
    
  •     `6` - Spring Snow
    
  •     `7` - Corn Snow
    
  •     `8` - Loose Granular
    
  •     `9` - Frozen Granular
    
  •     `10` - Granular
    
  •     `11` - Icy Spots
    
  •     `12` - Bare Spots
    
  •     `13` - Obstacles
    
  •     `14` - Skiers Packed
    
  •     `15` - Variable Conditions
    
  •     `16` - Wet Snow
    
  •     `17` - Thin Cover
    
  •     `18` - Wind Blown
    
Possible values:
resortnumberOptional

Resort ID

surfaceTypeBottomnumber · enumOptional
  •     Primary snow surface type at the bottom:
    
  •     `1` - Powder
    
  •     `2` - Packed Powder
    
  •     `3` - Machine Made
    
  •     `4` - Machine Groomed
    
  •     `5` - Hard Packed
    
  •     `6` - Spring Snow
    
  •     `7` - Corn Snow
    
  •     `8` - Loose Granular
    
  •     `9` - Frozen Granular
    
  •     `10` - Granular
    
  •     `11` - Icy Spots
    
  •     `12` - Bare Spots
    
  •     `13` - Obstacles
    
  •     `14` - Skiers Packed
    
  •     `15` - Variable Conditions
    
  •     `16` - Wet Snow
    
  •     `17` - Thin Cover
    
  •     `18` - Wind Blown
    
Possible values:
updatedAtstring · date-timeOptional

The last update date and time of the snow report in ISO 8601 format.

get
/resorts/snowreport
200

200 response

Last updated